Package org.apache.sysds.runtime.compress.estim.encoding

## Class EmptyEncoding

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.encoding.EmptyEncoding

All Implemented Interfaces:
  `IEncode`

    public class EmptyEncoding
    extends Object
    implements IEncode

Empty encoding for cases where the entire group of columns is zero

### Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.estim.encoding.IEncode

`LOG`

### Constructor Summary

Constructors
`EmptyEncoding()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IEncode` `combine​(IEncode e)` Combine two encodings, note it should be guaranteed by the caller that the number of unique multiplied does not overflow Integer.
`EstimationFactors` `extractFacts​(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)` Extract the compression facts for this column group.
`int` `getUnique()` Get the number of unique values in this encoding
`boolean` `isDense()` Signify if the counts are including zero or without zero.
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EmptyEncoding

    public EmptyEncoding()

### Method Detail

#### combine

    public IEncode combine​(IEncode e)

Description copied from interface: `IEncode`
Combine two encodings, note it should be guaranteed by the caller that the number of unique multiplied does not overflow Integer.

Specified by:
  `combine` in interface `IEncode`
Parameters:
  `e` - The other side to combine with
Returns:
  The combined encoding

#### getUnique

    public int getUnique()

Description copied from interface: `IEncode`
Get the number of unique values in this encoding

Specified by:
  `getUnique` in interface `IEncode`
Returns:
  The number of unique values.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### extractFacts

    public EstimationFactors extractFacts​(int nRows,
                                          double tupleSparsity,
                                          double matrixSparsity,
                                          CompressionSettings cs)

Description copied from interface: `IEncode`
Extract the compression facts for this column group.

Specified by:
  `extractFacts` in interface `IEncode`
Parameters:
  `nRows` - The total number of rows
  `tupleSparsity` - The Sparsity of the unique tuples
  `matrixSparsity` - The matrix sparsity
  `cs` - The compression settings
Returns:
  A EstimationFactors object

#### isDense

    public boolean isDense()

Description copied from interface: `IEncode`
Signify if the counts are including zero or without zero.

Specified by:
  `isDense` in interface `IEncode`
Returns:
  is dense